Ubuntu

[Meta-bug] Missing speaker and/or internal mic port

Reported by Achim on 2012-03-04
428
This bug affects 97 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
High
David Henningsson
Precise
Undecided
Unassigned

Bug Description

==== Read me first ====

If you're suffering from one of the following problems:

 1) In the sound settings dialog, when you plug your headphones into the designated 3.5 mm jack, there is a "Headphones" device correctly shown, but when you unplug it, there is no "Speaker" device shown, even though you have internal speakers on your computer.

 2) In the sound settings dialog, when you plug your external microphone into the designated 3.5 mm jack, there is a "Microphone" (or similar) device correctly shown, but when you unplug it, there is no "Internal Mic" device shown, even though you have an internal mic on your computer.

If so, please try the workaround in comment #32. IF AND ONLY IF that is working for you, please attach alsa info (see https://wiki.ubuntu.com/Audio/AlsaInfo ) to this bug, together with the name of your machine (e g "Dell Latitude D620"). I'll try to include it in a list of devices that we have to manually enable and release it as an update to 12.04.

Note: Assuming you run a standard Ubuntu kernel, this bug only appears in 3.2 kernels ("uname -r" should output something starting with "3.2."). Therefore, another workaround would be to upgrade to a later kernel (see https://wiki.ubuntu.com/Kernel/LTSEnablementStack ). If this does not help, you're suffering from a different bug, and then please file a separate bug report.

Thanks! - and sorry for causing the bug in the first place :-/

// David Henningsson

====

The following machines are known to be affected (no more alsa-info needed) :

# Acer AOA150
# Acer Aspire 4810TZ
# Acer Aspire 1810TZ
# Packard bell dot m/a
# Acer AOD260, AO532h
# Dell MXC051
# Dell Inspiron 6400 and E1505
# Dell Latitude D620
# Dell Latitude D820
# Dell Latitude D520
# Dell Latitude D420
# Dell Inspiron 1525
# Dell Inspiron 1011
# Dell XPS 14 (L401X)
# Dell XPS 15 (L501X)
# Dell XPS 15 (L502X)
# Asus 904HA (1000H)
# Asus T101MT
# Sony Vaio VGN-SR21M
# Sony Vaio VPC-W115XG
# Fujitsu Lifebook S7110
# Fujitsu Lifebook A530
# Toshiba A200
# MSI X360
# Lenovo 3000 Y410

====

==== SRU Justification ===
First, sorry if this bug is a bit messy, but I think it would be even more messy if I spread the information across several bugs. Here's some explanation:

The long-term fix is already in Quantal, because we backported the "Phantom Jack" support into Ubuntu's 3.5 kernel. Together with that comes a small PulseAudio patch, http://bazaar.launchpad.net/~ubuntu-audio-dev/pulseaudio/ubuntu.precise/revision/519/debian/patches/0624-alsa-mixer-Add-Phantom-Jack-support.patch - the reason I want this in 12.04 is to provide a better experience for users running the quantal kernel on precise, i e, the backport kernel coming with 12.04.2.

In addition to that, while doing an SRU I could just as well add a few more quirks for affected machines showing up after the previous SRU, so that is now done in http://bazaar.launchpad.net/~ubuntu-audio-dev/pulseaudio/ubuntu.precise/revision/520/debian/patches/0625-alsa-mixer-Add-a-few-more-machines-to-internal-mic-w.patch

[Impact]
Several laptops (see above list) are missing mostly internal mics, but sometimes also speakers in the Sound Settings / PulseAudio. This leads to an inability to control volume for these devices, and often not being able to use them at all.

[Test Case]
* Have an affected machine
* Notice that when your mic is unplugged, the "internal mic" is correctly shown in the sound settings

[Regression Potential]
The quirk-style fix only affects the machines above. The long-term fix affects only users of a newer (quantal or later) kernel.

====

I have an DELL Inspiron 6400. As it seems ubuntu precise beta1 thinks it
has a digital ouput. In the audio settings it says Play sound through:
»Digital Output (S/PDIF)«

As you can see there → http://support.dell.com/support/edocs/systems/ins6400/en/om/specs.htm#wp1054816
it has no S/PDIF output.

The audio Settings doesn't let me change the mode.
Sometime the system sets the mode to »Digital Stereo (IEC958) Output« but
the drop-down list menu is grayed out so I can't change it.

If I plug in and out my headphones the system changes the mode to »Analog Stereo Output«
and I can hear Sound again.

If you need more Information please let me know.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: alsa-base 1.0.25+dfsg-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-17.27-generic-pae 3.2.6
Uname: Linux 3.2.0-17-generic-pae i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.94-0ubuntu1
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: achim 2281 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xefebc000 irq 43'
   Mixer name : 'SigmaTel STAC9200'
   Components : 'HDA:83847690,102801bd,00102201 HDA:14f12bfa,14f100c3,00090000'
   Controls : 14
   Simple ctrls : 7
Date: Sun Mar 4 11:14:53 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120301)
PackageArchitecture: all
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
SourcePackage: alsa-driver
Symptom: audio
Symptom_AlsaPlaybackTest: ALSA playback test through plughw:Intel successful
Symptom_Card: Eingebautes Audio - HDA Intel
Symptom_Jack: Black SPDIF Out, Rear
Symptom_PulsePlaybackTest: PulseAudio playback test successful
Symptom_Type: No sound at all
Title: [MM061, SigmaTel STAC9200, Black SPDIF Out, Rear] No sound at all
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/13/2007
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A17
dmi.board.name: 0KD882
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA17:bd06/13/2007:svnDellInc.:pnMM061:pvr:rvnDellInc.:rn0KD882:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: MM061
dmi.sys.vendor: Dell Inc.
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.95-0ubuntu1
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: achim 1740 F.... pulseaudio
DistroRelease: Ubuntu 12.04
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120301)
Package: alsa-driver (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 3.2.0-20.32-generic-pae 3.2.12
Tags: precise
Uname: Linux 3.2.0-20-generic-pae i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 06/13/2007
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A17
dmi.board.name: 0KD882
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA17:bd06/13/2007:svnDellInc.:pnMM061:pvr:rvnDellInc.:rn0KD882:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: MM061
dmi.sys.vendor: Dell Inc.

Achim (ach1m) wrote :
Achim (ach1m) wrote : AlsaDevices.txt

apport information

tags: added: apport-collected
description: updated

apport information

apport information

Achim (ach1m) wrote : BootDmesg.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Achim (ach1m) wrote : PulseList.txt

apport information

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
summary: - [MM061, SigmaTel STAC9200, Black SPDIF Out, Rear] No sound at all
+ [Dell Inspiron 6400 (MM061), SigmaTel STAC9200] Missing speaker port
summary: - [Dell Inspiron 6400 (MM061), SigmaTel STAC9200] Missing speaker port
+ [Dell Inspiron (MM061, MXC051), SigmaTel STAC9200] Missing speaker port

The "analog output" and "analog speaker" ports both get removed due to subset elimination. This is because the kernel interface does not expose any hint that there is anything else but a headphone attached.

I wonder what the best way to attack this problem is. We could either make a separate profile/path for these devices, or try to make up a generic solution somehow.

Changed in alsa-driver (Ubuntu):
status: Confirmed → Triaged
affects: alsa-driver (Ubuntu) → pulseaudio (Ubuntu)
LarryJ (larry-foxgulch) wrote :

FYI from my Dell Inspiron E1505 laptop: Mine is dual boot with 10.04.3 and Precise 12.04 Beta2. In Precise, analog is not available for selection. In Lucid 10.04.3, only Analog shows in System->Preferences->Sound. (choose a device to configure shows only one choice which is "Internal Audio.. 1 output...Analog Stereo Output".

So has any one considered handling this new problem that appears only in Precise, in the same manner that Lucid Lynx deals with the absence of hardware digital audio?

David Henningsson (diwic) wrote :

Went through the duplicates, these SSIDs were found:
1028:01bd
1028:01b5
1028:01d4
The bug report from LarryJ is missing SSID information (LarryJ, could you please attach alsa-info information according to https://wiki.ubuntu.com/Audio/AlsaInfo ?)

It is probably easiest to create separate profile/paths for this issue, at least at this point.

But let me also ask you: do you also have the same problem for input, i e, you have an internal mic that does not show up when your mic is not connected? If so, maybe this should be fixed at the same time.

Achim (ach1m) wrote :

The Inspiron 6400 has no internel mic.
I have attached a little video that shows what happens when I plugin an external mic.

It shows up If it gets pluged in but as it seem audio controls don't work.
If I restart the audio settings the controls stark working.

I hope this information is helpful.

David Henningsson (diwic) wrote :

This bug: Id 1028:01bd, Inspiron 6400: No internal mic.
Bug 983680: Id 1028:01b5, No internal mic.
Bug 984991: Id 1028:01c2, Latitude 620. Has internal mic.
Bug 987271: No info
Bug 989173: Same as this bug
Bug 990180: Id 1028:01d4, Latitude D520. Has internal mic.
Bug 993175: Same as this bug

Changed in pulseaudio (Ubuntu):
assignee: nobody → David Henningsson (diwic)
status: Triaged → In Progress
David Henningsson (diwic) wrote :

Patch against git head. Will backport soon.

David Henningsson (diwic) wrote :

@Ach1m, about comment #18, that's helpful, but a separate bug - could you file another bug report against gnome-control-center and attach your video, and hopefully the right person will get to it? Thanks!

Keivan Moradi (shayanmansuri) wrote :

my mic. works fine.

Keivan Moradi (shayanmansuri) wrote :

could you please inform us about the backported package or packages when they are ready.

LarryJ (larry-foxgulch) wrote :

REF: David Henninson

"The bug report from LarryJ is missing SSID information (LarryJ, could you please attach alsa-info information according to https://wiki.ubuntu.com/Audio/AlsaInfo ?)"

David: See alsa-info.txt attached.

Also when Precise first boots to the login screen, I hear the drum sound. From then on, no sounds are emitted from speaker. And again, this laptop is dual boot with 10.04.4 and 12.04. The laptop sound hardware works fine when booted into 10.04.4

I am not sure, but I believe this laptop does not have a built in mike. Only a jack for an external mike. And that input/choice never shows up in sound connections dialog. HTH de Larry

Achim (ach1m) wrote :

@David Henningsson, thanks for your suggestion. I filled Bug 994066.

tags: added: patch
Keivan Moradi (shayanmansuri) wrote :
Download full text (4.6 KiB)

after installing some updates, now I can't login to unity, I forcefully login to unity 2D. I see these errors in the syslog.

May 8 01:03:04 keivan-laptop pulseaudio[2276]: [pulseaudio] module-alsa-card.c: Failed to find a working profile.
May 8 01:03:04 keivan-laptop pulseaudio[2276]: [pulseaudio] module.c: Failed to load module "module-alsa-card" (argument: "device_id="0" name="platform-snd_virmidi.0" card_name="alsa_card.platform-snd_virmidi.0" namereg_fail=false tsched=yes ignore_dB=no deferred_volume=yes card_properties="module-udev-detect.discovered=1""): initialization failed.
May 8 01:03:04 keivan-laptop acpid: client 1150[0:0] has disconnected
May 8 01:03:08 keivan-laptop pulseaudio[2276]: [pulseaudio] module-alsa-card.c: Failed to find a working profile.
May 8 01:03:08 keivan-laptop pulseaudio[2276]: [pulseaudio] module.c: Failed to load module "module-alsa-card" (argument: "device_id="0" name="platform-snd_virmidi.0" card_name="alsa_card.platform-snd_virmidi.0" namereg_fail=false tsched=yes ignore_dB=no deferred_volume=yes card_properties="module-udev-detect.discovered=1""): initialization failed.
May 8 01:03:29 keivan-laptop acpid: client connected from 1150[0:0]
May 8 01:03:29 keivan-laptop acpid: 1 client rule loaded
May 8 01:06:30 keivan-laptop pulseaudio[2276]: [pulseaudio] module-alsa-card.c: Failed to find a working profile.
May 8 01:06:31 keivan-laptop acpid: client 1150[0:0] has disconnected
May 8 01:06:31 keivan-laptop acpid: client connected from 16248[0:0]
May 8 01:06:31 keivan-laptop acpid: 1 client rule loaded
May 8 01:06:31 keivan-laptop pulseaudio[2276]: [pulseaudio] module.c: Failed to load module "module-alsa-card" (argument: "device_id="0" name="platform-snd_virmidi.0" card_name="alsa_card.platform-snd_virmidi.0" namereg_fail=false tsched=yes ignore_dB=no deferred_volume=yes card_properties="module-udev-detect.discovered=1""): initialization failed.
May 8 01:06:31 keivan-laptop pulseaudio[2276]: [pulseaudio] module-alsa-card.c: Failed to find a working profile.
May 8 01:06:31 keivan-laptop pulseaudio[2276]: [pulseaudio] module.c: Failed to load module "module-alsa-card" (argument: "device_id="0" name="platform-snd_virmidi.0" card_name="alsa_card.platform-snd_virmidi.0" namereg_fail=false tsched=yes ignore_dB=no deferred_volume=yes card_properties="module-udev-detect.discovered=1""): initialization failed.
May 8 01:06:33 keivan-laptop rtkit-daemon[2278]: Successfully made thread 16429 of process 16429 (n/a) owned by '104' high priority at nice level -11.
May 8 01:06:33 keivan-laptop rtkit-daemon[2278]: Supervising 4 threads of 2 processes of 2 users.
May 8 01:06:33 keivan-laptop rtkit-daemon[2278]: Successfully made thread 16435 of process 16429 (n/a) owned by '104' RT at priority 5.
May 8 01:06:33 keivan-laptop rtkit-daemon[2278]: Supervising 5 threads of 2 processes of 2 users.
May 8 01:06:33 keivan-laptop rtkit-daemon[2278]: Successfully made thread 16436 of process 16429 (n/a) owned by '104' RT at priority 5.
May 8 01:06:33 keivan-laptop rtkit-daemon[2278]: Supervising 6 threads of 2 processes of 2 users.
May 8 01:06:33 keivan-laptop pulseaudio[16429]: [pulseaudio] module-alsa-card.c: Fai...

Read more...

Daniel Letzeisen (dtl131) wrote :

I've uploaded a patched version of pulseaudio. If anyone wants to try it:

sudo apt-add-repository ppa:dtl131/ppa
sudo apt-get update
sudo apt-get install pulseaudio

David Henningsson (diwic) wrote :

@Dave, many thanks for the effort! I'm currently at UDS so I'm a bit busy with discussions all day this week (and some of next week also).

Keivan Moradi (shayanmansuri) wrote :

I'm also very grateful for your patch. However, I should inform you that it just worsen the situation. Installing the new pulseaudio, I have now no out put sound. Inserting the headphone jack no longer help me to fix the problem. In the output section of pulseaudio I can see just one option named "dummy output".

Please inform me if you need more info.

Steve Weston (steve-a-weston) wrote :

I apologise if this is not helpful here, but......

I had this exact issue on a Dell D620 (with STAC9200) after installing 12.04; Drums on startup, but then only a Digital S/PDIF available)

I found this workaround from a search, which in my case fixes the speakers, but breaks the headphones(!).

Edit
 /etc/modprobe.d/alsa-base.conf

and add the following line to the end: -
 options snd-hda-intel model=gateway-m4

reboot.

Simon Chng (schng) wrote :

I encountered this recently on my Dell Inspiron 6400, when (after updating to Precise) I checked the System Sound Settings. It only showed the Digital S/PDIF and when I played with it the sound stopped. I noticed it was only effecting my user (ie. not Guest), so I removed ~/.pulse (after backing it up of course) and restarted. Sound returned for my user account.

This workaround I believe resets the User's configuration for the Sound Setting to the default channel (Analogue output) and didn't require any global changes.

I look forward to someone addressing the real issue of why the Sound Setting doesn't show the right channels and finding a fix.

David Henningsson (diwic) wrote :

Here is an intermediate workaround:

For those of you who are missing a speaker port, edit /usr/share/pulseaudio/alsa-mixer/paths/analog-output-speaker.conf and comment out all lines that start with "required-any".

For those of you who are missing an internal mic port, edit /usr/share/pulseaudio/alsa-mixer/paths/analog-input-internal-mic.conf
 and comment out all lines that start with "required-any".

It is important that you comment out (or remove) all those lines, if you leave one behind, it won't work.

After the change, you can either execute "pulseaudio -k" or reboot for the changes to take effect.

David Henningsson (diwic) wrote :

Should the recommendation in comment #32 not work, please report back and add an pulseaudio verbose log ( https://wiki.ubuntu.com/PulseAudio/Log ). Thanks!

Keivan Moradi (shayanmansuri) wrote :

Recommendation in comment #32 works for me. Thanks.

Download full text (4.5 KiB)

Works for me too. Thank you

2012/5/11 Keivan Moradi <email address hidden>

> Recommendation in comment #32 works for me. Thanks.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (983680).
> https://bugs.launchpad.net/bugs/946232
>
> Title:
> [Dell Inspiron (MM061, MXC051), SigmaTel STAC9200] Missing speaker
> port
>
> Status in “pulseaudio” package in Ubuntu:
> In Progress
>
> Bug description:
> I have an DELL Inspiron 6400. As it seems ubuntu precise beta1 thinks it
> has a digital ouput. In the audio settings it says Play sound through:
> »Digital Output (S/PDIF)«
>
> As you can see there →
> http://support.dell.com/support/edocs/systems/ins6400/en/om/specs.htm#wp1054816
> it has no S/PDIF output.
>
> The audio Settings doesn't let me change the mode.
> Sometime the system sets the mode to »Digital Stereo (IEC958) Output« but
> the drop-down list menu is grayed out so I can't change it.
>
> If I plug in and out my headphones the system changes the mode to
> »Analog Stereo Output«
> and I can hear Sound again.
>
> If you need more Information please let me know.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu1
> ProcVersionSignature: Ubuntu 3.2.0-17.27-generic-pae 3.2.6
> Uname: Linux 3.2.0-17-generic-pae i686
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> ApportVersion: 1.94-0ubuntu1
> Architecture: i386
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: achim 2281 F.... pulseaudio
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xefebc000 irq 43'
> Mixer name : 'SigmaTel STAC9200'
> Components : 'HDA:83847690,102801bd,00102201
> HDA:14f12bfa,14f100c3,00090000'
> Controls : 14
> Simple ctrls : 7
> Date: Sun Mar 4 11:14:53 2012
> InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386
> (20120301)
> PackageArchitecture: all
> ProcEnviron:
> TERM=xterm
> PATH=(custom, no user)
> LANG=de_DE.UTF-8
> SHELL=/bin/bash
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:Intel
> successful
> Symptom_Card: Eingebautes Audio - HDA Intel
> Symptom_Jack: Black SPDIF Out, Rear
> Symptom_PulsePlaybackTest: PulseAudio playback test successful
> Symptom_Type: No sound at all
> Title: [MM061, SigmaTel STAC9200, Black SPDIF Out, Rear] No sound at all
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 06/13/2007
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A17
> dmi.board.name: 0KD882
> dmi.board.vendor: Dell Inc.
> dmi.chassis.type: 8
> dmi.chassis.vendor: Dell Inc.
> dmi.modalias:
> dmi:bvnDellInc.:bvrA17:bd06/13/2007:svnDellInc.:pnMM061:pvr:rvnDellInc.:rn0KD882:rvr:cvnDellInc.:ct8:cvr:
> dmi.product.name: MM061
> dmi.sys.vendor: Dell Inc.
> ---
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> ...

Read more...

summary: - [Dell Inspiron (MM061, MXC051), SigmaTel STAC9200] Missing speaker port
+ [Meta-bug] Missing speaker and/or internal mic port
description: updated
Changed in pulseaudio (Ubuntu):
importance: Undecided → High
David Henningsson (diwic) wrote :

Ok, I'm back on track after having been on travel for UDS and some holiday. I figured out what was wrong with my patch in comment #20, and I've uploaded a version of PulseAudio for testing to my pulseaudio testing ppa: https://launchpad.net/~diwic/+archive/pulseaudio-testing

Please test and report back whether pulseaudio from this ppa resolves your problem or not. Thanks!

description: updated
Changed in pulseaudio (Ubuntu):
status: In Progress → Incomplete
Achim (ach1m) wrote :

The workaround of comment #32 is working for me.
I have an "dell Inspiron 6400".
As requested in the new bug description I have attached my alsa-info.

Keivan Moradi (shayanmansuri) wrote :

workaround #32 works for me but previous version of the patch do not. The requested “alsa-info” is created when that workaround is active. I have not tried the new patch yet. However, I'm going to do that soon and I would report back soon.

Matthias Metzger (macellarius) wrote :

Workaround from #32 is working for me, too. Here you can find the Alsa Information: http://www.alsa-project.org/db/?f=a681603585b44580ec0b2b110bdf1f036405abc5

Pulseaudio from your ppa is NOT working for me.

btw: If I want to downgrade the packages back to the ubuntu versions with ppa-purge, it wants to remove packages like adobe-reader etc. as well. Can I keep all packages and just downgrade pulseaudio?

description: updated
Matthias Metzger (macellarius) wrote :
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Changed in pulseaudio (Ubuntu):
status: Incomplete → In Progress
Changed in pulseaudio (Ubuntu Precise):
assignee: nobody → David Henningsson (diwic)
Changed in pulseaudio (Ubuntu):
status: In Progress → Fix Committed
Changed in pulseaudio (Ubuntu Precise):
status: New → Triaged
Changed in pulseaudio (Ubuntu Precise):
status: Triaged → In Progress
Changed in pulseaudio (Ubuntu):
status: Fix Committed → Fix Released
description: updated
Changed in pulseaudio (Ubuntu Precise):
assignee: David Henningsson (diwic) → nobody
Changed in pulseaudio (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
tags: added: verification-done
removed: verification-needed
Changed in pulseaudio (Ubuntu Precise):
status: Fix Committed → Fix Released
82 comments hidden view all 162 comments
miegiel (nix-miegiel) wrote :

I believe the Acer Aspire 4810T is closely related to the already listed Acer Aspire 1810TZ. I might be jumping to conclusions, but I'd say all Acer Timeline laptops (of that generation) are affected.

The fist number in 4810T and 1810TZ refers to the screen size of the different models. And the letters at the end refer to the lapto's CPU.

Shahar Or (mightyiam) wrote :

It is a bit saddening to see this marked as Fix Released while my internal mic still isn't working in quantal.

This is Acer Aspire One D250 from my original comment #82 (workaround succeeded).

Is this like a manual adding of models to a list? If so, please add this one!

Thank you,
Shahar

Raymond (superquad-vortex2) wrote :

this workaround just fix the bug of missing internal speaker and internal mic in gnome control nua as the module-switch-on-available-ports require the phantom ports of those pin complexes without jack detection

if your notebook cannot record sound due to inverted mic (lef and right channel out of phase, the workaround is use alsamixer mute either left or right channe

Was this at me? I'm quite sure that it is this bug that my netbook Aspire
One D250 is experiencing. Theworkaround did solve the missing internal mic
issue. Please release another fix :(

On 7 August 2012 18:48, Raymond <email address hidden> wrote:

> this workaround just fix the bug of missing internal speaker and
> internal mic in gnome control nua as the module-switch-on-available-
> ports require the phantom ports of those pin complexes without jack
> detection
>
>
> if your notebook cannot record sound due to inverted mic (lef and right
> channel out of phase, the workaround is use alsamixer mute either left or
> right channe
>

David Anderson (davea42) wrote :

The internal audio ports on my SuperMicro board don't show up at all after a recent 12.04 update.
Worked earlier on 12.04.

Now no audio, no /usr/share/pulseaudio directory, ...
See launchpad 1035474 for details.

The comment #32 helps with microphone on Acer Aspire 4810TZ
My ALSA info: http://www.alsa-project.org/db/?f=114188df785d7adc99d4eb5b13523617bf152f37

Jorge (jorgzamb) wrote :

The comment #32 helps with microphone on Packard bell dot m/a
My ALSA info: http://www.alsa-project.org/db/?f=38d83a295f32ef2ed250f9d4e45926f9836d76be

Chris Robertson (ferret-x) wrote :

Comment #32 also allows my front panel microphone to work. Self build system based on a Gigabyte M57SLI-S4.

http://www.alsa-project.org/db/?f=69f57eadac5c60064ee353df008509eb1ebb8871

Gerwin (gerwin-klaus) wrote :

The workaround in comment #32 also helps to fix the recognition of the internal speakers on a

Fujitsu-Siemens Lifebook S7110.

Details:
http://www.alsa-project.org/db/?f=8088af4aae8c2eacb851b716c3738ef9f76ef3e0

Hao-Ran Liu (hzliu123) wrote :

Comment #32 can fix the same issue on a Dell Vostro 2420.

Sönke Gutzeit (soenkeg) wrote :

Mine is a Aspire one ZG5.
Thanks.

Pavel Verba (pavel.s.verba) wrote :

I was missing a mic jack and instructions from the comment #32 helped me fix it. My audio card is built-in the Intel HDA motherboard; my sincere thanks for that.

Do you need any additional data from my system?

Shahar Or (mightyiam) wrote :

Paul, your system's model, please.

That being said, this is still not fixed for my Acer Aspire One D250.

Thanks,
Shahar

information type: Public → Public Security
information type: Public Security → Public
1 comments hidden view all 162 comments
David Henningsson (diwic) wrote :

Comments #128, #129, and #131 have been added, thanks.
@ferret-x: This concerns internal mics, not front panel mics. Likely there is some other problem with your front panel mic causing jack detection to fail.

description: updated
description: updated
Changed in pulseaudio (Ubuntu Precise):
status: Fix Released → Fix Committed

Hello Achim, or anyone else affected,

Accepted pulseaudio into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/pulseaudio/1:1.1-0ubuntu15.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
David Henningsson (diwic) wrote :

Okay, so for those of you who are still suffering from this bug on 12.04 with all updates installed, there is now another option:
1) Enable proposed as instructed in comment #138
2) Install the latest HDA driver according to https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS

Reboot and test. I would be happy if at least one person - for which this is not yet fixed - could report back and say that the above is working. This is necessary so the PulseAudio fix can be released through the normal update channels.
And if you're testing it and it's not working, please file an alsa-info so we can verify that it's really this bug you're having and nothing else.
Thanks!

Achim (ach1m) wrote :

+Adam Conrad, I am sorry – at the moment I have no system that is running ubuntu 12.04, so I can't test the proposed update.

Bryan White (bryan-white-cns) wrote :

I have recently installed 12.04.1 on an Acer Aspire One AOA 110 ZG5 (upgraded to 16 GB ssd -- wee works like a real computer now). Alas, I can't get the edit via #32 to do the trick. I event tried the deb file hoping I did something dumb.

In every case alasamixer comes up with mike boost 0. I push it to 100 and do the alsamixer -k trick. I get very low sound level on the internal mic. It only shows bars when I tap the case near the mike. Testing with Skype I hear a very very quiet version of my test message.

I read above in 133 that a ZG5 worked -- but not mine so far.

Wish I had better news. Any suggestions gratefully received.

Bryan

Mitch Vracevic (mvracevic) wrote :

Hello, I tried to get 12.4 working on dv6265us.
Tried most stuff I could find here - nothing worked.
External (headphone jack) works (sound setting recognizes when I plugin headset
External stereo mic works too (I don't have one, but I plugged in headset - and I can see bars in pavumeter reacting to sound)
Internal - speaker and mics do not show signs of life whatever I do...

Uploaded ALSA info:
Your ALSA information is located at http://www.alsa-project.org/db/?f=ec041fb8367f5368b55a7f921f9c1a4d8c67244c

Any thoughts?

Thanks! Mitch.

Mitch Vracevic (mvracevic) wrote :

Regarding #142 - sorry - false alarm - got chance to try this again yesterday.
Turns out - zif cable on that old laptop got broken.
After replacing it - both internal speakers and mic started working correctly.

Thanks, Mitch.

Timo Jyrinki (timo-jyrinki) wrote :

Mitch (or others): does that mean that the package version in precise-proposed fixed the problem? This bug needs a verification that the proposed package fixes the issue, so that the update can be made available for everyone.

Tim Chen (ctf) wrote :

Confirmed bug is fixed on my Vostro 2420.

tags: added: verification-done
removed: verification-needed
Shahar Or (mightyiam) wrote :

Due to this 'verification-done' tag added, I'd like to just ask that my comment be at least addressed. I've stated twice already that my netbook still suffers from this in raring. If I'm missing something and perhaps the fix is not yet in raring or anything like that, please shed me some light. Thanks,
Shahar

David Henningsson (diwic) wrote :

@Shahar, if this is still a problem for you in raring, you're probably suffering from a different bug. Also, you never attached alsa-info correctly, so it's difficult to know if this is the case or not.

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:1.1-0ubuntu15.2

---------------
pulseaudio (1:1.1-0ubuntu15.2) precise-proposed; urgency=low

  * 0622-Front-headphone.patch:
    Fix "Front headphone Jack" not being picked up by PulseAudio
    (LP: #1020471)
  * 0623-resampler-Fix-volume-on-downmix-to-mono.patch:
    Fix clipping audio on downmix to mono (LP: #416190)
  * 01PulseAudio:
    Don't mute Bluetooth devices on suspend, they might remain muted
    after resume (LP: #1038084)
  * 0624-alsa-mixer-Add-Phantom-Jack-support.patch:
    This will allow us to work better with devices on the backport
    stack by making use of a Quantal kernel feature (if it exists).
    (LP: #946232)
  * 0625-alsa-mixer-Add-a-few-more-machines-to-internal-mic-w.patch:
    Add a few more machines to the internal mic whitelist
    (LP: #1076840) (LP: #1073420)
 -- David Henningsson <email address hidden> Fri, 09 Nov 2012 12:31:19 +0100

Changed in pulseaudio (Ubuntu Precise):
status: Fix Committed → Fix Released

The pulseaudio (1:1.1-0ubuntu15.2) update does not fixed microphone issues
in my case.
I am running updated Ubuntu 12.04.1 - 64 bits in a Sony-Vaio VPCEB23FM.
I checked that pulseaudio (1:1.1-0ubuntu15.2) it was installed, but the problem with the internal microphone
still there. It was not listed in the input tab on Sound Settings,
for the other hand, it was (poorly) working on skype sound tests.

I also tried to install pavucontrol but it was not possible to fix the microphone problem
by changing settings with pavucontrol.

My audio device is Intel Corporation 5 Series/3400 Series Chipset and
what worked for me it was the workaround pointed out on #32.

Here is the alsainfo
http://www.alsa-project.org/db/?f=aca468e30d3d26d52eb6ed45547d9c8c7a2815ae

Thanks.

JoeZiehmer (joeziehmer-gmail) wrote :

Found a fix for the Acer Aspire ZG5 AOA110 models. It involves using the uncommented microphone lines from comment #32, installing pavucontrol and using pavucontrol to max out the sound on the left for the internal microphone and mute it on the right completely. Also, it is handy to unlock before hand as for not unlocking it; that means several hours of believing something to be wrong, only to find out that the sliders are locked together; unlock them. It has to be done in combination with the uncommented lines and if it is not used then the bug will continue. That's the quickest way I've found to work around it.

JoeZiehmer (joeziehmer-gmail) wrote :

Acer Aspire ZG5 AOA110 users this is my modified /usr/share/pulseaudio/alsa-mixer/paths/analog-input-internal-mic.conf it has to be used in combination with the pavucontrol fix. For pavucontrol is is as easy as sudo apt-get install pavucontrol, then using it from the command line, unlocking the sliders for the internal microphone, muting the right side, and sliding the left side all the way up. As a future note in skype make sure that skype is not allowed to configure the sound sources which is in the skype system settings. This includes the uncommented line for comment #32.

David Henningsson (diwic) wrote :

@Leandro,
For the new PulseAudio to improve the situation (i e, you would not have to use the #32 workaround), you need to use it in combination with the backport kernel ( linux-image-generic-lts-quantal ).

@JoeZiehmer, could you attach your alsa-info ( https://wiki.ubuntu.com/Audio/AlsaInfo ) in order for me to commit a fix upstream for future kernels?

JoeZiehmer (joeziehmer-gmail) wrote :
David Henningsson (diwic) wrote :

@JoeZiehmer, thanks, it looks like it's already fixed upstream for your machine. If you try the latest DKMS drivers ( https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS ) and make sure "Inverted Internal Mic" is muted in alsamixer then things should work fine.

LE DISEZ Erwan (7-dev-g) wrote :

On my platform, is missing the speaker internal port and the jack port.
I tested the different workaround without success, only the HDMI output is available no analog device.

Tested with the following kernels :
vmlinuz-3.8.0-23-generic
vmlinuz-3.9.0-030900-generic

Machine : DELL XPS 14
Distribution : Ubuntu RARING

See attachment for details.

LE DISEZ Erwan (7-dev-g) wrote :

My alsa-info in attachment.

The_Letter_J (the-letter-j) wrote :
Download full text (6.9 KiB)

Please add this machine to the list impacted:

Malibal Veda P180HM , aka Clevo P180HM , aka Sager np8180 (other rebranded flavors of this model also exist).
RealTek ALC892 internal speakers fail to show up in sound-settings;
instead the not-plugged-in iec598 aka S/PDIF output becomes default-sink.

Using the workaround from comment#32 corrects the trouble for my hardware. I have composed a brief shell-script which I believe can be cut-n-pasted into the xterm, rather than having folks perform manual editing. Worked for me on 12.04.3 with all updates but I have only tested it on this one machine. David, or other canonical employee, if this looks useful you might consider pasting it into the intro at the top, or as an addendum to comment#32.

BEGIN_CUT_N_PASTE_BLOCK_HERE

aplay /usr/share/pulseaudio/alsa-mixer/paths/analog-input-internal-mic.conf

cp /usr/share/pulseaudio/alsa-mixer/paths/analog-output-speaker.conf ~/tmpUspapaos.bak
grep -v "required-any = any" /usr/share/pulseaudio/alsa-mixer/paths/analog-output-speaker.conf > ~/tmpUspapaos.conf
sudo cp ~/tmpUspapaos.conf /usr/share/pulseaudio/alsa-mixer/paths/analog-output-speaker.conf
grep "required-any = any" /usr/share/pulseaudio/alsa-mixer/paths/analog-output-speaker.conf

cp /usr/share/pulseaudio/alsa-mixer/paths/analog-input-internal-mic.conf ~/tmpUspapaiim.bak
grep -v "required-any = any" /usr/share/pulseaudio/alsa-mixer/paths/analog-input-internal-mic.conf > ~/tmpUspapaiim.conf
sudo cp ~/tmpUspapaiim.conf /usr/share/pulseaudio/alsa-mixer/paths/analog-input-internal-mic.conf
grep "required-any = any" /usr/share/pulseaudio/alsa-mixer/paths/analog-input-internal-mic.conf

ps aux | grep pulse | grep -v grep
pulseaudio -k
ps aux | grep pulse | grep -v grep

aplay /usr/share/pulseaudio/alsa-mixer/paths/analog-input-internal-mic.conf

FINIS_CUT_N_PASTE_BLOCK_HERE

In my particular case, the symptoms were not exactly as described, from what I can garner. I installed 12.04 from LiveUSB a couple months ago, and had no audio-playback (except in the bootloader via grub's play-command) until I had updated to 12.04.2 -- after which I was able to hear the drum-sound at the login-screen that appears immediately after boot.

However, once into the desktop, I was not able to accomplish playback. When I would open up sound-settings from the taskbar (aka "gnome-control-panel sound-nua" under the hood), the only listed internal speakers were S/PDIF output. The laptop does have an spdif-out-jack, but nothing was plugged into it. Clicking on most any of the buttons in sound-settings would cause the not-even-plugged-in spdif-out-jack to become the default audio-sink. So to be clear, I did not plug in external speakers or headphones or microphones -- there were no internal speakers in the list provided by sound-settings, from what I can tell (ever at any time).

I believe following the instructions of step#1A over here helped -- https://help.ubuntu.com/community/SoundTroubleshootingProcedure -- because when I executed killall pulseaudio; rm -r ~/.config/pulse/* ; rm -r ~/.pulse* then counted to fi...

Read more...

Download full text (3.3 KiB)

On 10/03/2013 03:38 AM, The_Letter_J wrote:
> Please add this machine to the list impacted:
>
> Malibal Veda P180HM , aka Clevo P180HM , aka Sager np8180 (other rebranded flavors of this model also exist).
> RealTek ALC892 internal speakers fail to show up in sound-settings;
> instead the not-plugged-in iec598 aka S/PDIF output becomes default-sink.
>
> Using the workaround from comment#32 corrects the trouble for my
> hardware. I have composed a brief shell-script which I believe can be
> cut-n-pasted into the xterm, rather than having folks perform manual
> editing. Worked for me on 12.04.3 with all updates but I have only
> tested it on this one machine. David, or other canonical employee, if
> this looks useful you might consider pasting it into the intro at the
> top, or as an addendum to comment#32.

Hi The_Letter_J and thanks for your detailed answer. The script looks
handy in parts, but I don't get why you're trying to play back a
configuration file...

> In my particular case, the symptoms were not exactly as described, from
> what I can garner.

Having a look at your hardware, I notice that your bug is similar, but a
different one. In fact, just running a 3.5+ ubuntu kernel (or 3.6+
upstream kernel) fixes this bug completely, so it *must* be a different
bug. That's also why the symptoms are not exactly as described either.

In your case, you have unusual hardware: in addition to normal
headphones and stereo line out, you have 5.1 internal speakers. This
leads to unusual alsamixer names (e g "Speaker Front") which we do not
match for in PulseAudio. Fixing that means that we should add those
names in PulseAudio - but let's discuss that in a new bug instead.

> p.s. This was a dastardly difficult problem to track down. There are a
> couple things I would suggest for David and/or some other Ubuntu
> employee with commit access, to help endusers over this hump. First of
> all, a simple fix, pleas list the audio-chipsets in this bug, not just
> the model-names of the computers. Clevo P180Hm w/ RealTek ALC892, in my
> particular hardware. Most forums recommend that you search for your
> audio-chipset, not for your model-and-vendor, but this bug does not show
> up thataway currently.

Over 80% of audio bugs, including this one, are specific to the codec
*configuration*, which is usually best described with the PCI SSID
number or vendor+model. Bugs specific to a codec (Realtek ALC892) or
controller chip (Intel ICH6) are much less common.

The major exception to this rule is HDMI/Displayport audio or external
audio devices.

> Something quite brief,
> like the following, would suffice:
>
> Do not see your speakers? (with a hyperlink that takes them to this bug-report)
> Do not see your microphone? (again with the hyperlink)
>
> These would need to be translated, and verified to fit in the available
> pixel-real-estate of the dialogbox in question, but methinks it could be
> done without violating the spirit of an LTS release. Failing that,
> backporting David's 3.6 kernel fixes to the 3.5.0.41-series that is
> currently in use with 12.04.3 seems the only way to fix the root cause.

This backporting has already been do...

Read more...

The_Letter_J (the-letter-j) wrote :
Download full text (8.6 KiB)

"but I don't get why you're trying to play back a configuration file..."

Greetings, David -- yes, I was piping a textfile to the speakers, just to
generate some noise (and prove whether they were working). One can omit
those lines, or replace them with aplay /usr/share/sounds/alsa/Noise.wav
but my favorite is this alternative -- espeak "I'll be back"
The advantage of using aplay with a *known* filename (in the context of
my script) is there are no dependencies; that's the reason behind it.

"just running a 3.5+ ubuntu kernel (or 3.6+ upstream kernel)
fixes this bug completely"

Can you please put that in the read-me-first description? I actually
looked for just such a phrase. I realize that it says FixReleased for
Precise at the top, but the comments are confusing... you talk about
backporting to the 3.5 kernel, but you also specify that as Quantal,
then go on to mention that you *want* it in 12.04.2 -- without ever
coming right out and saying that it in fact now is in 12.04.3 (and .2?).
I suggest this sentence: "If you're suffering from... 1)... 2)... The
easiest fix is to update your system to the latest 12.04.3+ updates, or
alternatively a 12.10-or-later installation. If you have done so and
still have problems, the workaround in comment#32 sometimes helps, but
whether it does or not, please file a separate launchpad bug."

https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1236965
I have filed another bug for my specific issues over here.

As to the more general issue of making audio not suck:

"Over 80% of audio bugs, including this one, are specific to the codec
*configuration*, which is usually best described with the PCI SSID
number or vendor+model. Bugs specific to a codec (Realtek ALC892) or
controller chip (Intel ICH6) are much less common."

Well... I have a relatively rare motherboard SSID... but still....

(alsa OR pulseaudio) ("alc 892" OR "alc892") ==>> 94 hits
(alsa OR pulseaudio) ("1558:8000" OR "15588000" OR "0x15588000") ==>> zero hits

Some rough back-of-the-browser calculations suggest that using the SSID
as a key to debugging audio problems is rare, at the moment. Maybe it
makes sense to start using it? If enough ubuntu people are aware of the
SSID connection, and use it to debug their audio-related-difficulties,
then launchpad search results specific to your motherboard or videocard
would be much easier to locate. I'll go ahead and paste my SSID stuff
here, into the bug... making my comment the NUMBER ONE HIT when googling.
Not that I'm bragging or anything -- humble to the core, that's me. :-)

https://wiki.ubuntu.com/Audio/SameHardware
(explains which portions of the output below are pci_vid and pci_ssid.)

$ cat /proc/asound/card*/codec#* | grep --before-context=4 --after-context=1 "Subsystem Id"
Codec: Realtek ALC892
Address: 0
AFG Function Id: 0x1 (unsol 1)
Vendor Id: 0x10ec0892
Subsystem Id: 0x15588000
Revision Id: 0x100302
--
Codec: ATI R6xx HDMI
Address: 0
AFG Function Id: 0x1 (unsol 0)
Vendor Id: 0x1002aa01
Subsystem Id: 0x00aa0100
Revision Id: 0x100200

$ lspci -vvnn | grep --after-context=1 "Audio device"
00:1b.0 Audio device [0403]: Intel Corpora...

Read more...

description: updated
description: updated
Raphael Mankin (raph-p) wrote :

I still have this problem on a Lenovo T61p running 12.04 with pulseuadio 1;1.1-0ubuntu15.4. All newly updated today 10Feb2014.
Kernel is 3.2.

alsainfo attached

szu (szulat) wrote :

no input sources appear in the sound settings in ubuntu 13.10 even though i can select inputs in pavucontrol (front microphone, back microphone, line in). sound recording works (at least on the alsa level).

this is the regression, as sound inputs sources show up correctly in the old ubuntu 10.10 installed in another partition.

arecord -l
**** List of CAPTURE Hardware Devices ****
card 0: NVidia [HDA NVidia], device 0: ALC888 Analog [ALC888 Analog]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
card 0: NVidia [HDA NVidia], device 2: ALC888 Alt Analog [ALC888 Alt Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

where can i find information about the relation between alsa and the things that appear in sound preferences? who decides that the microphone is present in pavucontrol but is missing from sound settings applet?

Displaying first 40 and last 40 comments. View all 162 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments